Bug 127517 - Complete system freeze - XFS/NFS probelm?
Complete system freeze - XFS/NFS probelm?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-09 05:31 EDT by Olaf Fraczyk
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log with messages when freezed (21.99 KB, text/plain)
2004-07-09 05:39 EDT, Olaf Fraczyk
no flags Details

  None (edit)
Description Olaf Fraczyk 2004-07-09 05:31:28 EDT
Description of problem:
Complete system freeze.

Filesystem - XFS for all partitions.
EXT2 partition on DVD-RAM mounted - for backup.
Exported read-only small nfs for X-Terminals.
While doing backup and bzipping it - high load, with 1 NFS ->
X-Terminal client, 3 samba clients the system freezes.
I didn't see it on vanilla kernel 2.6.5-rc3 (the latest used by me
before switch to redhat/fedora kernel).
I didn't see it  on RH/Fedora kernal if no NFS client is active.

Just now I reverted to vanilla 2.6.5-rc3.

Version-Release number of selected component (if applicable):

kernel-2.6.6-1.435.2.1

How reproducible:
Hard to say. 

Steps to Reproduce:
1. Not easy to explain. Read the Description of the problem.
  
Actual results:
System freeze

Expected results:
No system freeze :)

Additional info:
I'll attach kernel messages from log.
Comment 1 Olaf Fraczyk 2004-07-09 05:39:07 EDT
Created attachment 101743 [details]
Log with messages when freezed
Comment 2 Olaf Fraczyk 2004-07-09 05:48:59 EDT
Putted in oss.sgi bugzilla.
http://oss.sgi.com/bugzilla/show_bug.cgi?id=344
Comment 3 Barry K. Nathan 2004-07-14 04:15:59 EDT
2.6.6-1.435.x.x is not up-to-date with the latest XFS updates, FWIW.
Could you try a kernel from one of the following sources and let us
know if the bug is still present? Thanks.

+ rawhide (a.k.a. FC-devel)
+ FC 3 test 1
+ http://people.redhat.com/arjanv/2.6/
Comment 4 Hans Petter Jansson 2005-01-18 18:50:54 EST
I'm seeing something similar to this, using the 2.6.10 kernel with
Fedora Core 3
patches. It's less frequent than in 2.6.9, but it still isn't fixed.

I can trigger it pretty consistently by copying an 8 gigabyte file
(containing
/dev/random output) using an NFS client, from one NFS export to
another, both on
the same XFS filesystem. The filesystem resides on a software RAID-5
device. The
kernel panic usually happens within 3 attempts.

The crash does not happen if I perform the same operation (client file
copy -
same file - between NFS exports) on an ext3 filesystem.

I'll see if I can get a trace, but I'm pessimistic. The last 60 lines
shown in
my local console are meaningless (seems like a crash in crash
handler), NIC
driver does not support netconsole, no SCSI devices for raw core dump
support, etc.

I've added the same comment in SGI's bug.
Comment 5 Hans Petter Jansson 2005-01-18 18:53:42 EST
The full kernel version is "2.6.10-1.737_FC3". Sorry for bad line
breaking in my last comment.
Comment 6 Dave Jones 2005-04-16 00:37:29 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.